Difference between revisions of "Arch Roof/de"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
Line 1: Line 1:
 
<languages/>
 
<languages/>
<div class="mw-translate-fuzzy">
+
{{docnav/de|[[Arch_Grid/de|Raster]]|[[Arch_Space/de|Raum]]|[[Arch_Module/de|Arch]]}}
{{GuiCommand/de|Name=Arch Roof|Name/de=Arch Roof|Workbenches=[[Arch Module/de|Arch]]|MenuLocation=Arch → Roof|Shortcut={{KEY|R}} {{KEY|F}}}}
+
{{GuiCommand/de
</div>
+
|Name=Arch Roof|Name/de=Arch Roof
 +
|MenuLocation=Arch → Dach
 +
|Workbenches=[[Arch Module/de|Arch]]
 +
|Shortcut={{KEY|R}} {{KEY|F}}
 +
|SeeAlso=[[Arch Structure/de|Strukur]], [[Arch Wall/de|Wand]]
 +
}}
  
 
==Beschreibung==
 
==Beschreibung==

Revision as of 23:12, 31 January 2019

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Raster Vorherige:
Nächste: Raum Arrow-right.svg

Arch Roof.svg Arch Roof

Menüeintrag
Arch → Dach
Arbeitsbereich
Arch
Standardtastenkürzel
R F
In der Version eingeführt
-
Siehe auch
Strukur, Wand


Beschreibung

Das Dach-Werkzeug erlaubt die Erstellung eines geneigten Daches aus einem ausgewählten Linienzug. Das erstellte Dach-Objekt ist parametrisch und behält seine Verbindung zum Basisobjekt. Bitte beachte, dass sich dieses Werkzeug noch in der Entwicklung befindet und bei sehr komplexen Formen fehlschlägt. Das Prinzip ist, dass jede Kante ein Dachprofil (Neigung, Breite, Überhang, Dicke,...) zugewiesen wird.

This tool is still in development, and might fail with very complex shapes.

RoofExample.png

RoofExample.png

Anwendung

  1. Erstelle einen Linienzug entgegen dem Uhrzeigersinn und wähle ihn aus
    • CounterclockwiseWire.png
  2. Drücke den Arch Roof.png Dach-Button oder drücke R, dann F
  3. Das Standard-Dach-Objekt könnte eine seltsame Form haben, weil das Werkzeug nicht alle benötigten Informationen hat
  4. Nach der Erstellung des Dach-Objekts doppelklicke auf das Objekt in der Baumansicht, um Zugang zu den Eigenschaften zu erhalten und sie zu ändern. Der Winkel muss zwischen 0 und 90 sein
    • RoofTable.png
  5. Jede Linie gehört zu einer Dach-Scheibe. Auf diese Weise können Eigenschaften für jede Dach-Scheibe einzeln gesetzt werden.
  6. Um Dir zu helfen, kannst Du Winkel (Angle) und ? (Run) auf 0 setzen und eine relative Id definieren, so dass eine automatische Berechnung die Daten relativ zu dieser Id ermittelt.
  7. Es funktioniert folgendermaßen:
    1. Falls Winkel = 0 und Run = 0, dann ist das Profil identisch zum relativen Profil
    2. Falls Winkel = 0, dann wird der Winkel berechnet, so dass die Höhe die gleiche wie beim relativen Profil ist
    3. Falls Run = 0, dann wird der Run berechnet, so dass die Höhe die gleiche wie beim relativen Profil ist
  8. Am Ende setze den Winkel auf 90°, um einen Giebel zu erstellen
    • RoofProfil.png
  9. Es gibt auch ein Video : https://www.youtube.com/watch?v=4Urwru71dVk

Optionen

  • Dächer teilen die allgemeinen Eigenschaften und Verhaltensweisen aller Arch-Komponenten

Eigenschaften

  • Daten-EigenschaftAngles: Liste der Neigungswinkel der Sparren (ein Winkel für jede Kante des Linienzuges).
  • Daten-EigenschaftRuns: Liste der Breite der Dach-Scheiben (ein Run für jede Kante des Linienzuges).
  • Daten-EigenschaftIdRel: Liste von Relation zwischen Winkel und Dachneigung
  • Daten-EigenschaftThickness: Liste der Stärken der Dachsparren (eine Stärke pro Kante im Linienzug).
  • Daten-EigenschaftOverhang: Liste der Überhänge der Dachsparren (ein Überhang für jede Kante des Linienzuges).
  • Daten-EigenschaftFace: The face index of the base object to be used # nicht wirklich benutzt

Scripting

Das Dach-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus über folgende Funktion angesprochen werden:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
Erstellt ein Dach basierend auf einem geschlossenen Linienzug. Du kannst eine Liste von Winkeln, Runs, idrel, Stärken, Überhang für jede Kante des Linienzuges vorgeben, um die Dachform zu definieren. Der Standardwert für Winkel ist 45 und die Liste wird automatisch komplettiert, so dass sie mit der Anzahl von Kanten übereinstimmt.

Beispiel:

import FreeCAD, Arch, Draft

Rect = Draft.makeRectangle(3000, 4000)
Roof = Arch.makeRoof(Rect, angles=[30.,])
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(0, 2000, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
Roof2 = Arch.makeRoof(Wire)
FreeCAD.ActiveDocument.recompute()